<?
/*echo "<pre>"; 
print_r($_POST);
echo"<pre>";*/

session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];
include("../conex.php");

/********************************** Datos Empresa *********************************************************************/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna AND id=$id_empresa";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$row=$row+1;
		}
?>
<table width="640" align="center" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td width="60px"><div align="center"><img src="../Images/logo.gif" width="60px" height="60px"></div></td>
	<td width="580px"><div align="left"><font size="1">
		<?=$empresa_nombre?><br>
		<?=$empresa_direccion?><br>
		<?=$empresa_ciudad;?>

		</font></div>
	</td>
    <td width="20%">&nbsp;</td>
  </tr>
</table>
<?php
if(isset($_POST['libro_banco'])){

$insertado=0;
for($i=0 ; $i < sizeof($rut_proveedor); $i++){
	$dia = explode("/", $fecha, 3); 
	$ano = $dia[2];
	$mes = $dia[1];
	$dia = $dia[0];
	$fecha_mov[$i]=$ano."-".$mes."-".$dia;

	//echo $fecha_mov[$i]."<br>";
	$tipo_libro_doc=$tipo_libro[$i];
	$cn_cartola_libro="SELECT * FROM libro_dte_sii WHERE rut='$rut_proveedor[$i]' AND empresa=$id_empresa AND tipo_dcto=$tipo_doc[$i]
					   AND num_dcto=$folio[$i] AND MONTH(fecha)=$mes AND YEAR(fecha)=$ano AND total=$total[$i] AND tipo_libro='$tipo_libro[$i]'";
	$res_cn_cartola_libro = mysql_query(utf8_decode($cn_cartola_libro), $enlace);
	//echo $cn_cartola_libro.'<br>';
	
	if(mysql_num_rows($res_cn_cartola_libro)==0){
		
		if(!empty($fecha_dcto[$i])){
		$fecha_dcto[$i] = strtotime (str_replace("/", "-", $fecha_dcto[$i]));
		$fecha_dcto[$i]=date('Y-m-d',$fecha_dcto[$i]);
		}
		
		if(!empty($fecha_recep[$i])){
		$fecha_recep[$i] = strtotime (str_replace("/", "-", $fecha_recep[$i]));
		$fecha_recep[$i]=date('Y-m-d H:i:s',$fecha_recep[$i]);
		}
		
		if(!empty($fecha_acuse[$i])){
		$fecha_acuse[$i] = strtotime (str_replace("/", "-", $fecha_acuse[$i]));
		$fecha_acuse[$i]=date('Y-m-d H:i:s',$fecha_acuse[$i]);
		}
		
		if(empty($exento[$i])){$exento[$i]=0;}
		if(empty($neto[$i])){$neto[$i]=0;}
		if(empty($iva[$i])){$iva[$i]=0;}
		if(empty($iva_no_recuperable[$i])){$iva_no_recuperable[$i]=0;}
		if(empty($total[$i])){$total[$i]=0;}
		if(empty($impuesto_sin_derecho_credito[$i])){$impuesto_sin_derecho_credito[$i]=0;}
		if(empty($valor_impuesto[$i])){$valor_impuesto[$i]=0;}
	
	//************************ verifica Proveedor *********************************************/		
	$sql_be = "SELECT * FROM nombres WHERE rut='$rut_proveedor[$i]'";
	$res_be = mysql_query($sql_be,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_be))
		{
		$emp_codigo=mysql_result($res_be, $row, "codigo");
		$row=$row+1;
		}
		
		if ($row==0){
		if(empty($lstreg)){$lstreg=9;}
		if(empty($lstcom)){$lstcom=221;}
		
		$sql_ins = "INSERT INTO nombres (rut, razon_social, comuna, region,
		 			proveedor,id_segmento)
					VALUES ('$rut_proveedor[$i]', '$razon_social[$i]', $lstcom, $lstreg, 
					'True', 1)"; 
		//echo $sql_ins."<br/>";			
		mysql_query(utf8_decode($sql_ins),$enlace);
		}else{
		$sql_upd = "UPDATE nombres SET rut='$rut_proveedor[$i]', razon_social='$razon_social[$i]', proveedor = 'True' 
					WHERE codigo = $emp_codigo";
		//echo $sql_upd."<br/>";	
		mysql_query(utf8_decode($sql_upd),$enlace);
	}
	
	$in_cartola_libro="INSERT INTO libro_dte_sii (tipo,rut,empresa,tipo_dcto,num_dcto,fecha,fecha_dcto,fecha_recepcion,fecha_acuse,
					   exento,neto,iva,iva_no_recuperable,cod_iva_no_recuperable,total,valor_otro_impuesto,impuesto_sin_derecho_credito, tipo_libro)
					   VALUES ('$tipo[$i]','$rut_proveedor[$i]',$id_empresa,$tipo_doc[$i],$folio[$i],'$fecha_mov[$i]','$fecha_dcto[$i]',
					   '$fecha_recep[$i]','$fecha_acuse[$i]',$exento[$i],$neto[$i],$iva[$i],$iva_no_recuperable[$i],
					   '$cod_iva_no_recuperable[$i]',$total[$i],$valor_impuesto[$i],$impuesto_sin_derecho_credito[$i],'$tipo_libro[$i]')";
	$res_in_cartola_libro = mysql_query(utf8_decode($in_cartola_libro), $enlace);
	//echo $in_cartola_libro.'<br><br>';
		if($res_in_cartola_libro){
			$insertado++;
		}
	}
}

echo "<h2 align='center'>Total Movimientos insertados: ".$insertado." de: ".$num_total_movimientos."</h2>";
if($tipo_libro_doc=='E'){
	$text_boton='Compra';
	$url_concilia="window.location.href='ver_libros.php?tipo_libro=$tipo_libro_doc'";
}else if ($tipo_libro_doc=='S'){
	$text_boton='Venta';
	$url_concilia="window.location.href='ver_libros_venta.php?tipo_libro=$tipo_libro_doc'";
}
?>
<br>
<table align="center">
	<tr>
		<td><input type="button" name="volver" value="Subir Otros DTE SII <?=$text_boton?>" onClick="window.location.href='index.php?tipo_libro=<?=$tipo_libro_doc?>'"></td>
		<td>
		<input type="button" name="conciliar" value="Ver Libro DTE SII <?=$text_boton?>" onClick="<?=$url_concilia?>"></td>
		<td><input type="button" name="salir" value="Salir" onclick="window.close();"></td>
	</tr>
</table>
<?php
}

function quita_puntos($valor) 
{ 
  return str_replace('.','',$valor); 
} 
?>